Skip to main content

Send command to an output connector.

Required role: write or higher.

Path Parameters
pipeline_name string — REQUIRED

Unique pipeline name

view_name string — REQUIRED

SQL view name

connector_name string — REQUIRED

Output connector name

Request Body — REQUIRED

Command to send to the output connector

object
Responses
200

Command has been processed. Response contains the result of the command.

Schema — OPTIONAL
object
400

Command is not supported by the output connector or the connector failed to execute the command

Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

404

Pipeline, view and/or output connector with that name does not exist

Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.